Bug 479425 - Incorrect status displayed when disk is missing [status]
Incorrect status displayed when disk is missing [status]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: 5.4
Assigned To: Heinz Mauelshagen
Cluster QE
:
Depends On:
Blocks: 480792
  Show dependency treegraph
 
Reported: 2009-01-09 09:44 EST by Krzysztof Wojcik
Modified: 2009-09-02 07:16 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for DMRAID application (3.30 KB, application/x-gzip)
2009-03-16 04:14 EDT, Krzysztof Wojcik
no flags Details
Patch for incorrect raid status when disk is missing (2.51 KB, application/x-gzip)
2009-04-15 04:44 EDT, Krzysztof Wojcik
no flags Details
Series of patches for DMRAID application - part 1 (41.14 KB, application/x-gzip)
2009-04-15 04:48 EDT, Krzysztof Wojcik
no flags Details

  None (edit)
Description Krzysztof Wojcik 2009-01-09 09:44:35 EST
Description of problem:

Steps to reproduce:
1. Create raid 1, 5 or 10
2. Remove disk form raid
3. Check state reported by raid

Actual results:
Rebuildable degrated array reports the status Broken

Expected results:
Rebuildable degrated array should report inconsistent state.


When we have state when raid could be rebuilded - state should be inconsistent
When we have state when raid could not be rebuilded - state should be broken
Comment 3 Krzysztof Wojcik 2009-03-16 04:13:43 EDT
Patch with fix for this issue in attachment. Please review it and give feedback.

Patch include:
- fix for "Incorrect status displayed when disk is missing" issue.
- fix for "Missing supported RAID configuration in "-l" option" - Bugzilla bug 479395
- fix for "Wrong disk layout in raid01" - no Bugzilla bug.
Comment 4 Krzysztof Wojcik 2009-03-16 04:14:53 EDT
Created attachment 335314 [details]
Patch for DMRAID application
Comment 5 Giuseppe Iuculano 2009-03-21 18:18:08 EDT
Hi,

- ALLOW_ACTIVATE and ALLOW_REBUILD are missing in metadata handler commands
- power_cycle_count and bbm_log_size are missing in isw struct


Cheers,
Giuseppe
Comment 6 Heinz Mauelshagen 2009-03-23 07:23:55 EDT
Krzysztof,

please split this patch into 2, hence distinguishing fixes for this bz and #479325.
Please attach plain text patch in order to avoid the double-gziped tarball.

Thanks,
Heinz
Comment 7 Krzysztof Wojcik 2009-03-31 11:09:29 EDT
How the patches should be prepared?

Patch per bug or patch per few small fixes? How many lines the patch have to have?

Every patch should be diff between one DMRAID version (from RHEL5.3 GA distribution) and version with particular fix? (conflicts during patching are possible)

Or incremental patches- every new patch should be diff form previous, fixed DMRAID version? (patching order is critical)
Comment 8 Heinz Mauelshagen 2009-03-31 15:01:47 EDT
Patch per bug.
If large change per bug (i.e. > 100 lines of code), split into incremental patches (quilt series) changing one item at a time.
Yes, baseline RHEL 5.3 GA, avoiding apply conflicts via quilt series.
Comment 9 Krzysztof Wojcik 2009-04-15 04:44:03 EDT
Created attachment 339646 [details]
Patch for incorrect raid status when disk is missing
Comment 10 Krzysztof Wojcik 2009-04-15 04:48:01 EDT
Created attachment 339647 [details]
Series of patches for DMRAID application - part 1
Comment 11 Krzysztof Wojcik 2009-04-15 04:59:13 EDT
Fix for incorrect status when disk is missing added in comment 9. It is only one part from series.
DMRAID requires series of patches added in comment 10 for correct behavior.
Comment 12 Marcin Labun 2009-04-16 05:12:02 EDT
(In reply to comment #11)
> Fix for incorrect status when disk is missing added in comment 9. It is only
> one part from series.
> DMRAID requires series of patches added in comment 10 for correct behavior.  

It looks the ActivateDegrArray_RH.patch is not prepared properly. Please wait for upgrade. 
Marcin
Comment 14 Krzysztof Wojcik 2009-04-22 07:34:53 EDT
I have a question. When will you plan to incorporate our (Intel) DMRAID patches to RHEL5.4? When we may expect first RHEL5.4 drop with our patches?
Comment 15 Heinz Mauelshagen 2009-04-24 09:39:20 EDT
Krzysztof,

Working on it
Comment 16 Marcin Labun 2009-04-24 10:31:55 EDT
Patch (id=339647) [details] contains all patches for dmraid in RHEL  5.4. No additional patches shall be applied.
Comment 22 Chris Ward 2009-07-03 14:20:04 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 23 Chris Ward 2009-07-10 15:09:26 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 25 errata-xmlrpc 2009-09-02 07:16:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1347.html

Note You need to log in before you can comment on or make changes to this bug.